### Class

# Gdk GLTexture

#### Description [src]

    final class Gdk.GLTexture : Gdk.Texture {
      /* No available fields */
    }

A GdkTexture representing a GL texture object.

#### Hierarchy

#### Ancestors

- GdkTexture
- GObject

#### Implements

- GdkPaintable

#### Constructors

###### gdk_gl_texture_new

Creates a new texture for an existing GL texture.

#### Instance methods

###### gdk_gl_texture_release

Releases the GL resources held by a `GdkGLTexture`.

##### Methods inherited from GdkTexture (4)

###### gdk_texture_download

Downloads the `texture` into local memory.

###### gdk_texture_get_height

Returns the height of the `texture`, in pixels.

###### gdk_texture_get_width

Returns the width of `texture`, in pixels.

###### gdk_texture_save_to_png

Store the given `texture` to the `filename` as a PNG file.

##### Methods inherited from GdkPaintable (9)

###### gdk_paintable_compute_concrete_size

Compute a concrete size for the `GdkPaintable`.

###### gdk_paintable_get_current_image

Gets an immutable paintable for the current contents displayed by `paintable`.

###### gdk_paintable_get_flags

Get flags for the paintable.

###### gdk_paintable_get_intrinsic_aspect_ratio

Gets the preferred aspect ratio the `paintable` would like to be displayed at.

###### gdk_paintable_get_intrinsic_height

Gets the preferred height the `paintable` would like to be displayed at.

###### gdk_paintable_get_intrinsic_width

Gets the preferred width the `paintable` would like to be displayed at.

###### gdk_paintable_invalidate_contents

Called by implementations of `GdkPaintable` to invalidate their contents.

###### gdk_paintable_invalidate_size

Called by implementations of `GdkPaintable` to invalidate their size.

###### gdk_paintable_snapshot

Snapshots the given paintable with the given `width` and `height`.

#### Class structure

    struct GdkGLTextureClass {
      /* no available fields */
    }